flashing Incredibly Re-Engineered 2.3, INSTALLATION ABORTED, Help

Hitch_Itch

Well-known member
Jun 20, 2010
249
20
0
Visit site
Wondering if anyone can help me out here,
I am trying to flash Incredibly Re-Engineered 2.3.
I have encountered a big issue.
As usual flashed latest clockwork, booted in clockwork, wipe data, wipe cache partition, wipe dalvik cache, went to choose zip from sd card, nav to the zipped up rom.
It started to install then stopped saying this,

amend scripting (update-script) is no longer supported.
amend script was deprecated by google in android 1.5
it was necessary to remove it when upgrading to the clockworkmod 3.0 gingerbread based recovery.
please switch to edify scripting (updater-script and update-binary) to create working update zip packages.
Installation aborted

What the hell is that and how do I fix this, I am now stuck in clockwork recovery.
I have flashed tons of roms, and this has never happened, It must have something to do with the latest clockwork recovery update
Thanks
Ken
 

crondable

Well-known member
Jul 13, 2010
394
128
0
Visit site
The new 3.x version of Clockwork uses a newer update-script. You can revert to a previous version of Clockwork until your ROM developer updates his ROM.
 

crondable

Well-known member
Jul 13, 2010
394
128
0
Visit site
You can use ROM Manager to do this. At the bottom of the app there is a section titled "All ClockworkMod Recoveries". Select one from the 2.x.x versions and you should be all set.
 

Hitch_Itch

Well-known member
Jun 20, 2010
249
20
0
Visit site
Must be my turn to struggle tonight.
went into rom mgr, all clockwork recoveries
I have
3005
2514
2513
2512
all but 2512 said error flashing, 2512 went through the flash process, rebooted on its own, I went back into rom mgr and looked at current recovery, still shows 3005
what the hell,
any other ideas are greatly appreciated
Ken
 

06cbrf4i

Well-known member
Sep 10, 2010
102
6
0
Visit site
I am having the same problem. I updated to the new 3.x version of clockwork mod and flashed cyanogen nightly 33. When I tried to flash Incredibly Re-Engineered I got the same error as you. I tried to flash to the previous version of cwm in rom manager but it won't let me either.

Never mind, rom manager finally flashed back to v2.5.1.2. I don't know why, I didn't do anything different then the first few times I tried.
 
Last edited:

Hitch_Itch

Well-known member
Jun 20, 2010
249
20
0
Visit site
I was able to flash skyraider 3.5 last night, So I guess until Re-Engineered 2.3 is able to be flashed with clockwork recovery 3.0.0.5 i will have to stick with skyraider.
 

PvilleComp

Well-known member
Jun 13, 2010
4,146
603
0
Visit site
Hitch - Sorry I had house guests and didn't get back on line last night - I saw in the other thread that UpstreamMiami linked you to the older recovery - Did that work?
 

Hitch_Itch

Well-known member
Jun 20, 2010
249
20
0
Visit site
Hitch - Sorry I had house guests and didn't get back on line last night - I saw in the other thread that UpstreamMiami linked you to the older recovery - Did that work?

No problem PvilleComp,
I have not had the time today to mess with it. I flashed skyraider last night to get the phone up and running, working good.
Im not sure if i will get the time tonight to try UpstreamMiami's link.
If not I will give it a try when I get back from work sometime this week.

Thanks for checking In.
Ken
 

omg_vtec

Member
Apr 16, 2011
12
0
0
Visit site
old thread i know, sorry. im trying this as well and i cant go older than 3.0.0.5
all i need to do is change it from the pop up menu at the bottom of the screen right?
 

omg_vtec

Member
Apr 16, 2011
12
0
0
Visit site
ok heres what mine is saying
amend scripting is no longer supported.
amend scripting was deprecated by google in android 1.5
it was necessary to removeit when upgrading to the clockwordmld 3.0 gingerbread based recovery.
please switch to edify scripting(updater-script and update-binary) to create working update zip packages
installation aborted

whats going on here?


EDIT: so if anyone else get this...i was using 2.3 not 2.3.1 which is when the clockword issue was fixed...lol. im ******ed.
 
Last edited: